<?php

/**
 * @file
 */

/**
 * Prepares variables for Drupal slider view templates.
 *
 * Default template: slider-pro-views-style.html.twig.
 */
function template_preprocess_drupal_slider_views_style(array &$variables) {
  if (empty($variables['view'])) {
    return;
  }

  // View options set by user.
  $options = $variables['view']->style_plugin->options;
  $id = 'drupal-slider-' . uniqid();
  $drupalSlider['id'] = $id;
  // $drupalSlider['width'] = isset($options['general']['width']) ? $options['general']['width'] : 950;
  // $drupalSlider['height'] = isset($options['general']['height']) ? $options['general']['height'] : 500;
  $drupalSlider['arrows'] = isset($options['general']['arrows']) && $options['general']['arrows'] ? $options['general']['arrows'] : 0;
  $drupalSlider['buttons'] = isset($options['general']['buttons']) && $options['general']['buttons'] ? $options['general']['buttons'] : 0;
  $drupalSlider['autoplay'] = isset($options['general']['autoplay']) && $options['general']['autoplay'] ? $options['general']['autoplay'] : 0;
  $drupalSlider['carousel'] = (isset($options['general']['carousel']) && $options['general']['carousel']) ? '100%' : 'auto';
  $content['#attached'] = [
    'drupalSettings' => [
      'drupalSlider' => $drupalSlider,
    ],
    'library' => [
      'drupal_slider/slider.pro',
      'drupal_slider/drupal_slider.load',
    ],
  ];
  // Add the slide items to the variables.
  $variables['attached'] = $content;
  $variables['id'] = $id;
}
